Foreman - Bug #15681

Fog Openstack version should require at least version 0.1.7 to ensure compatibility with Openstack
Liberty

07/14/2016 02:59 AM - Imri Zvik

Status: Closed
Priority: High
Assignee: Imri Zvik
Category: Compute resources - OpenStack
Target version: 1.13.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3648
Description

Due to changes in Openstack, the Compute API in Liberty (and maybe other APIs) are no longer forgiving for empty values.
See the following commit: https://github.com/fog/fog-openstack/commit/13bfc96bab46c65487c8a619ee84ad5{6268e702

This totally breaks stuff like boot from volume.

Associated revisions

Revision e8bceb07 - 07/18/2016 10:12 AM - Imri Zvik
Fixes #15681 - Upgrade Fog Openstack to at least version 0.1.7
This is need to ensure compatibility with Openstack Liberty and above.

The API since Liberty is less forgiving about empty parameters.
See fog/fog-openstack@13bfc96ba646c65487c8ab619ee84ad56268e702

Revision 97ded51e - 07/19/2016 03:39 AM - Dominic Cleal

refs #15681 - require newer fog-core, fog-openstack

History

#1 - 07/14/2016 03:06 AM - Imri Zvik
Should probably be

gem 'fog-openstack', '~> 0.1', '>= 0.1.7"'

#2 - 07/14/2016 03:14 AM - Dominic Cleal

The pinning of fog-core to 1.36.0 currently prevents the ~> 0.1 matcher from matching 0.1.7. If fog-core is updated to over 1.40 (either specifically, or
unpinned) then we'll automatically inherit a newer version of fog-openstack too.

#3 - 07/14/2016 03:16 AM - Imri Zvik
Well, since this breaks the functionality quite bad, | think this should get priority.

Note that Liberty is the minimal version of Openstack still supported (http:/releases.openstack.org/), so Foreman should probably be compatibable
with it.

#4 - 07/14/2016 05:48 AM - Imri Zvik
Dominic Cleal wrote:
The pinning of fog-core to 1.36.0 currently prevents the ~> 0.1 matcher from matching 0.1.7. If fog-core is updated to over 1.40 (either

specifically, or unpinned) then we'll automatically inherit a newer version of fog-openstack too.

btw, another thing to note is that nothing ensures you will get the latest version of 0.1 - see
https://github.com/bundler/bundler/issues/3089#issuecomment-48533609 for example.
Therefore, it is probably a good idea to change the requirement anyway.

#5 - 07/14/2016 07:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Imri Zvik

- Pull request https://github.com/theforeman/foreman/pull/3648 added

#6 - 07/18/2016 11:04 AM - Imri Zvik
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e8bceb07db45810abafe354f474a4c3cabffb295.

#7 - 07/19/2016 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 160
